com.h3c.of.lib.err

## Enum ECodeBadMatch

- java.lang.Object
- - java.lang.Enum<ECodeBadMatch>
  - - com.h3c.of.lib.err.ECodeBadMatch

- All Implemented Interfaces:
    ErrorCode, OfpCodeBasedEnum, OfpEnum, Serializable, Comparable<ECodeBadMatch>

      public enum ECodeBadMatch
      extends Enum<ECodeBadMatch>
      implements ErrorCode

  Designates the error codes associated with the `ErrorType.BAD_MATCH` error type.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BAD_DL_ADDR_MASK` Unsupported datalink address mask; Since 1.1.
    `BAD_FIELD` Unsupported field type in the match; Since 1.1.
    `BAD_LEN` Length problem in match; Since 1.1.
    `BAD_MASK` Unsupported mask specified in the match; Since 1.2.
    `BAD_NW_ADDR_MASK` Unsupported network address mask; Since 1.1.
    `BAD_PREREQ` A prerequisite was not met; Since 1.2.
    `BAD_TAG` Match uses an unsupported tag or encapsulation; Since 1.1.
    `BAD_TYPE` Unsupported match type specified by the match; Since 1.1.
    `BAD_VALUE` Unsupported value in a match field; Since 1.1.
    `BAD_WILDCARDS` Unsupported combination of fields masked or omitted in the match; Since 1.1.
    `DUP_FIELD` A field type was duplicated; Since 1.2.
    `EPERM` Permissions error; Since 1.2.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode(ProtocolVersion pv)` Returns the code for the constant, under the given protocol version.
    `ErrorType` | `parentType()` Returns the parent error type for this error code.
    `static void` | `validate(ECodeBadMatch code, ProtocolVersion pv)` Validates the given error code against the specified protocol version, silently returning if all is well, throwing an exception otherwise.
    `static ECodeBadMatch` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ECodeBadMatch[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BAD_TYPE

          public static final ECodeBadMatch BAD_TYPE

      Unsupported match type specified by the match; Since 1.1.

    - #### BAD_LEN

          public static final ECodeBadMatch BAD_LEN

      Length problem in match; Since 1.1.

    - #### BAD_TAG

          public static final ECodeBadMatch BAD_TAG

      Match uses an unsupported tag or encapsulation; Since 1.1.

    - #### BAD_DL_ADDR_MASK

          public static final ECodeBadMatch BAD_DL_ADDR_MASK

      Unsupported datalink address mask; Since 1.1. The switch does not support arbitrary datalink address masks.

    - #### BAD_NW_ADDR_MASK

          public static final ECodeBadMatch BAD_NW_ADDR_MASK

      Unsupported network address mask; Since 1.1. The switch does not support arbitrary network address masks.

    - #### BAD_WILDCARDS

          public static final ECodeBadMatch BAD_WILDCARDS

      Unsupported combination of fields masked or omitted in the match; Since 1.1.

    - #### BAD_FIELD

          public static final ECodeBadMatch BAD_FIELD

      Unsupported field type in the match; Since 1.1.

    - #### BAD_VALUE

          public static final ECodeBadMatch BAD_VALUE

      Unsupported value in a match field; Since 1.1.

    - #### BAD_MASK

          public static final ECodeBadMatch BAD_MASK

      Unsupported mask specified in the match; Since 1.2. The field is not datalink address or network address.

    - #### BAD_PREREQ

          public static final ECodeBadMatch BAD_PREREQ

      A prerequisite was not met; Since 1.2.

    - #### DUP_FIELD

          public static final ECodeBadMatch DUP_FIELD

      A field type was duplicated; Since 1.2.

    - #### EPERM

          public static final ECodeBadMatch EPERM

      Permissions error; Since 1.2.

  - ### Method Detail

    - #### values

          public static ECodeBadMatch[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ECodeBadMatch c : ECodeBadMatch.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ECodeBadMatch valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### parentType

          public ErrorType parentType()

      Description copied from interface: `ErrorCode`
      Returns the parent error type for this error code.
      Specified by:
        `parentType` in interface `ErrorCode`
      Returns:
        the parent error type

    - #### getCode

          public int getCode(ProtocolVersion pv)

      Description copied from interface: `OfpCodeBasedEnum`
      Returns the code for the constant, under the given protocol version.
      Specified by:
        `getCode` in interface `OfpCodeBasedEnum`
      Parameters:
        `pv` - the protocol version
      Returns:
        the code for the constant

    - #### validate

          public static void validate(ECodeBadMatch code,
                      ProtocolVersion pv)

      Validates the given error code against the specified protocol version, silently returning if all is well, throwing an exception otherwise.
      Parameters:
        `code` - the code
        `pv` - the protocol version
      Throws:
        `VersionMismatchException` - if the code is not defined in the given protocol version

Copyright © 2014. All Rights Reserved.